package com.hzya.frame.sysnew.role.entity;

import java.util.Date;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 角色表(SysRole)实体类
 *
 * @author makejava
 * @since 2024-03-27 11:49:36
 */
public class SysRoleEntity extends BaseEntity {
 
  /**  角色编码 */
   private String roleCode;
  /**  角色名称 */
   private String roleName;
  /**  角色说明 */
   private String description;
  /**  状态: 0启用 1 停用 */
   private String enableState;



    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEnableState() {
        return enableState;
    }

    public void setEnableState(String enableState) {
        this.enableState = enableState;
    }


}

